package com.ruoyi.web.v2.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.model.JsProducePlan;

/**
 * <p>
 * 生产计划登记 服务类
 * </p>
 *
 * @author coede
 * @since 2025-10-16
 */
public interface IJsProducePlanService extends IService<JsProducePlan> {

    AjaxResult add(JsProducePlan producePlan);

    AjaxResult edit(JsProducePlan producePlan);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String allowSlaughterNo);

    AjaxResult listAll();

    JsProducePlan getDetail(JsProducePlan jsProducePlan);

    JsProducePlan  lastPlan();
}
